Loading...
Searching...
No Matches
psa_cipher_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_cipher_operation_s:
[legend]

## Data Fields

unsigned int | id
unsigned int | iv_required: 1
unsigned int | iv_set: 1
uint8_t | default_iv_length
psa_driver_cipher_context_t | ctx

## Detailed Description

Definition at line 89 of file crypto_struct.h.

## Field Documentation

## ctx

psa_driver_cipher_context_t psa_cipher_operation_s::ctx

Definition at line 103 of file crypto_struct.h.

## default_iv_length

uint8_t psa_cipher_operation_s::default_iv_length

Definition at line 101 of file crypto_struct.h.

## id

unsigned int psa_cipher_operation_s::id

Unique ID indicating which driver got assigned to do the operation. Since driver contexts are driver-specific, swapping drivers halfway through the operation is not supported. ID values are auto-generated in psa_crypto_driver_wrappers.h ID value zero means the context is not valid or not assigned to any driver (i.e. none of the driver contexts are active).

Definition at line 96 of file crypto_struct.h.

## iv_required

unsigned int psa_cipher_operation_s::iv_required

Definition at line 98 of file crypto_struct.h.

## iv_set

unsigned int psa_cipher_operation_s::iv_set

Definition at line 99 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h